%define        libname  lib%{name}

Name:          pstoedit
Version:       3.78
Release:       1mamba
Summary:       Translates PostScript and PDF graphics into other vector formats
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@qilinux.it>
URL:           http://www.pstoedit.net/pstoedit
Source:        http://downloads.sourceforge.net/sourceforge/pstoedit/pstoedit-%{version}.tar.gz
Patch0:        %{name}-3.45-gcc4_no_pedantic.patch
Patch1:        %{name}-3.45-gcc43.patch
Patch2:        %{name}-3.45-drvswf.patch
Patch3:        %{name}-3.45-gcc44.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libEMF-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXaw-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblzma-devel
BuildRequires: libming-devel
BuildRequires: libpcre-devel
BuildRequires: libplot-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libuuid-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
BuildRequires: libzip-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libMagick-devel >= 6.9.1.4-1mamba
BuildRequires: libbzip2-devel
BuildRequires: liblcms-devel
BuildRequires: libtiff-devel
Requires:      %{libname} >= %{?epoch:%epoch:}%{version}-%{release}
Requires:      ghostscript >= 7.07.1

%description
PStoEdit translates PostScript and PDF graphics into other vector formats.
Implementing support for other formats should be very easy.
The architecture of pstoedit consists of a PostScript frontend which needs to call a PostScript interpreter like Ghostscript and the individual backends which are pugged into a kind of framework.
This framework can be used independently from the PostScript frontend from any other program.
The framework provides a uniform interface to all different backends.

Currently pstoedit can generate the following formats:
- Tgif .obj format (for tgif version >= 3)
- fig format for xfig
- pdf Adobe Portable Document Format
- gnuplot format
- Flattened PostScript (with or without Bezier curves)
- DXF - CAD exchange format
- LWO - LightWave 3D
- RIB - RenderMan
- RPL - Real3D
- Idraw format (a special format of EPS that Idraw can read)
- Tcl/Tk
- HPGL
- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
- WMF - Windows Meta Files
- PIC format for troff/groff
- MetaPost format per usage with TeX/LaTeX
- LaTeX2e picture
- Kontour
- GNU Metafile (plotutils/libplot)
- Sketch (http://sketch.sourceforge.net)
- Mathematica
- trough ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:       Libraries for application which use %{name}
Group:         System/Multimedia

%description -n %{libname}
PStoEdit translates PostScript and PDF graphics into other vector formats.

%package -n %{libname}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
PStoEdit translates PostScript and PDF graphics into other vector formats.

This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
%configure \
   --with-libemf-include=%{_includedir}/libEMF

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D doc/%{name}.1 \
   %{buildroot}%{_mandir}/man1/%{name}.1

for f in %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/%{name}/*.la; do
   sed -i "s:%{buildroot}::g" $f
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.*
%doc copying

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
#%{_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4
%dir %{_datadir}/doc/pstoedit
%{_datadir}/doc/pstoedit/*
%doc examples/*.ps

%changelog
* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 3.78-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 3.77-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Automatic Build System <autodist@mambasoft.it> 3.75-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 3.74-1mamba
- automatic version update by autodist

* Sat Jun 23 2018 Automatic Build System <autodist@mambasoft.it> 3.73-1mamba
- automatic version update by autodist

* Thu Apr 26 2018 Automatic Build System <autodist@mambasoft.it> 3.71-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 3.70-3mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.1.4-1mamba

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.70-2mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.0.4-1mamba

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 3.70-1mamba
- automatic update by autodist

* Mon Mar 03 2014 Automatic Build System <autodist@mambasoft.it> 3.62-3mamba
- rebuilt with ImageMagick 6.8.8.7

* Tue Aug 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.62-2mamba
- libpng 1.6 mass rebuild

* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 3.62-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 3.61-1mamba
- automatic version update by autodist

* Sun Aug 28 2011 Automatic Build System <autodist@mambasoft.it> 3.60-1mamba
- automatic version update by autodist

* Fri Jan 22 2010 Automatic Build System <autodist@mambasoft.it> 3.50-6mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-5mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-4mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-3mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-2mamba
- automatic rebuild by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 3.50-1mamba
- update to 3.50

* Mon Jun 01 2009 Automatic Build System <autodist@mambasoft.it> 3.45-4mamba
- automatic rebuild by autodist

* Wed Feb 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-3mamba
- automatic rebuild by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-2mamba
- automatic rebuild by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-1mamba
- update to 3.45

* Tue Oct 31 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.44-1qilnx
- update to version 3.44 by autospec

* Mon Jan 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.42-1qilnx
- update to version 3.42 by autospec

* Thu Jul 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.40-1qilnx
- package created by autospec
